version: "3"
services:

  year-planner:
    container_name: year-planner
    image: registry.gitlab.com/nick.hutt/year-planner/year-planner
    environment:
      SPRING_DATASOURCE_URL: jdbc:postgresql://year-planner-persistence:5432/yearplanner
      SPRING_DATASOURCE_USERNAME: foo
      SPRING_DATASOURCE_PASSWORD: bar
    ports:
      - "13080:8080"
    depends_on:
      year-planner-persistence:
        condition: service_healthy

  year-planner-persistence:
    container_name: year-planner-persistence
    image: postgres:17.3-alpine
    environment:
      POSTGRES_DB: yearplanner
      POSTGRES_USER: foo
      POSTGRES_PASSWORD: bar
    healthcheck:
      test: ["CMD-SHELL", "pg_isready -d yearplanner -U foo"]
      interval: 30s
      timeout: 60s
      retries: 5
      start_period: 80s